
/**************************************************************************\
*  Demonstration of UltraPascal
*  created by MXM-TriX		mxmtrix@xoommail.com
*  for MXM Projects		http://start.at/mxm
\**************************************************************************/

program 'UltraPascal Demo';

/*
  Would be included automatically, but it is for own controling!
  If you include a unit, which was loaded once, then the compiler ignore it!
*/

uses tios;

/*
  Difference between Fargo Pascal and UltraPascal in the var section:
   * Initialised strings, or files, have to be in a const section
*/

var s              : string;
    buffer         : string;
    i              : word;
    demo_array     : array [ 0 .. 10 ] of dword;
    randseed       : word;

procedure new_demo ( s: string );
begin
 clrscr;
 setfont ( big_font );
 gotoxy ( 1, 1 );
 write ( 'UltraPascal! Demo' );
 setfont ( medium_font );
 gotoxy ( 1, 15 );
 write ( s );
end;

function random ( bound: word ): word;
begin
 randseed := randseed * $200 + 56;
 random := randseed mod bound;
end;

begin
 // Demonstration of the stringmanipulation
 new_demo ( 'Stringmanipulation' );
 s := 'a' + 'b';
 tios::sprintf ( buffer, '%s + %s = %s', 'a', 'b', s);
 gotoxy ( 1, 25 );
 write ( buffer );
 readkey;

 // Demonstration of arrays
 new_demo ( 'Arrays' );
 setfont ( little_font );
 for i := 0 to 10 do begin
   demo_array [ i ] := i;
   tios::sprintf ( buffer, 'demo_array[%d] = %ld', i, demo_array [i]);
   gotoxy ( 1, 25 + i*7 );
   write ( buffer );
 end;
 readkey;

 // Demonstration of functions
 new_demo ( 'Functions' );
 i := random ( 100 );
 tios::sprintf ( buffer, '%d', i );
 gotoxy ( 1, 25 );
 write ( buffer );
 readkey;
end.