
// UltraPascal librarydefinition for GRAPHLIB
// created by MXM-TriX			mxmtrix@xoommail.com
// released by MXM Projects		http://start.at/mxm

unit 'graphlib';

librarydefinition

procedure fill ( x, y, widht, height, color: word );
begin
 d0 := x;
 d1 := y;
 d2 := width;
 d3 := height;
 d4 := color;
end;

procedure put_sprite ( x, y: word; address: pointer );
begin
 d0 := x;
 d1 := y;
 a0 := address;
end;

procedure put_sprite_mask ( x, y: word; mask: byte; address: pointer );
begin
 d0 := x;
 d1 := y;
 d3 := mask;
 a0 := address;
end;

procedure smallbox ( var title: string );
begin
 a0 := title;
end;

procedure box ( x, y, width, height: word );
begin
 d0 := x;
 d1 := y;
 d2 := width;
 d3 := height;
end;

procedure frame ( x, y, width, height: word );
begin
 d0 := x;
 d1 := y;
 d2 := width;
 d3 := height;
end;

procedure clr_scr;
begin
end;

procedure vert ( x, y1, y2, color: word );
begin
 d0 := x;
 d1 := y1;
 d2 := y2;
 d3 := color;
end;

procedure horiz ( x1, y, x2, color: word );
begin
 d0 := x1;
 d1 := y;
 d2 := x2;
 d3 := color;
end;

function scrtomem ( x, y, width, height ): word,d4;
begin
 d0 := x;
 d1 := y;
 d2 := width;
 d3 := height;
end;

function memtoscr ( x, y, width, height ): word,d4;
begin
 d0 := x;
 d1 := y;
 d2 := width;
 d3 := height;
end;

end.
