
// UltraPascal librarydefinition for TIOS
// created by MXM-TriX			mxmtrix@xoommail.com
// released by MXM Projects		http://start.at/mxm

unit 'tios';

librarydefinition

// Protection of the variables ( move.l d0,#tios::ROM_base is wrong, so
// protection is necessary )
const #ROM_base: pointer;
      #main_lcd: pointer;
      kb_vars  : pointer;

procedure ER_throwVar ( errornum: word );
begin
 -(a7) := errornum;
end;

function ER_catch ( errorframe : word ): word,d0;
begin
 -(a7) := errorframe;
end;

procedure ER_sucess;
begin
end;

procedure ERD_dialog ( errornum: word );
begin
 -(a7) := errornum;
end;

procedure ST_busy ( mode: word );
begin
 -(a7) := mode;
end;

procedure ST_eraseHelp;
begin
end;

procedure ST_showHelp ( var s: string );
begin
 -(a7) := s;
end;

procedure HeapFreeIndir ( handleptr: pointer );
begin
 -(a7) := handleptr;
end;

procedure HeapFree ( handle: word );
begin
 -(a7) := handle;
end;

function HeapAlloc ( size: longint ): word,d0;
begin
 -(a7) := size;
end;

function HeapAllocThrow ( size: longint ): word,d0;
begin
 -(a7) := size;
end;

function HeapRealloc ( handle: word; newsize: longint ): word,d0;
begin
 -(a7) := newsize;
 -(a7) := handle;
end;

procedure reset_link;
begin
end;

procedure flush_link;
begin
end;

function tx_free: word,d0;
begin
end;

function transmit ( buffer: pointer; number: word ): word,d0;
begin
 -(a7) := number;
 -(a7) := buffer;
end;

function receive ( buffer: pointer; num : word ): word,d0;
begin
 -(a7) := num;
 -(a7) := buffer;
end;

{$IFDEF __FARGO_2}
procedure DrawStrXY ( x, y: word; var str: string; attr: word );
begin
 -(a7) := attr;
 -(a7) := str;
 -(a7) := y;
 -(a7) := x;
end;
{$ENDIF}

procedure DrawCharXY ( ch, x, y, color, what1, what2, what3: word );
begin
 -(a7) := what3;
 -(a7) := what2;
 -(a7) := what1;
 -(a7) := color;
 -(a7) := y;
 -(a7) := x;
 -(a7) := ch;
end;

function FontSetSys ( newfont: word ): word,d0;
begin
 -(a7) := newfont;
end;

function FontGetSys: word,d0;
begin
end;

procedure DrawTo ( x, y: word );
begin
 -(a7) := y;
 -(a7) := x;
end;

procedure MoveTo ( x, y: word );
begin
 -(a7) := y;
 -(a7) := x;
end;


// Windowroutines

procedure WinActivate ( window: pointer );
begin
 -(a7) := window;
end;

procedure WinClose ( window: pointer );
begin
 -(a7) := window;
end;

function WinOpen ( window, rect: pointer; flags: word; ... ): longint,d0;
begin
 -(a7) := ...;
 -(a7) := flags;
 -(a7) := rect;
 -(a7) := window;
end;

procedure WinStrXY ( window: pointer; x, y: word; var s: string );
begin
 -(a7) := s;
 -(a7) := y;
 -(a7) := x;
 -(a7) := window;
end;

function sprintf ( var buffer, format: string; ... ): word,d0;
begin
 -(a7) := ...;
 -(a7) := format;
 -(a7) := buffer;
end;

function strcmp ( var str1, str2: string ): word,d0;
begin
 -(a7) := str2;
 -(a7) := str1;
end;

function strlen ( var s: string ): word,d0;
begin
 -(a7) := s;
end;

function strncmp ( var str1, str2: string; n: word ): word,d0;
begin
 -(a7) := n;
 -(a7) := str2;
 -(a7) := str1;
end;

function strncpy ( var dest, src: string; n: word): word,d0;
begin
 -(a7) := n;
 -(a7) := src;
 -(a7) := dest;
end;


function strcat ( var dest, src: string ): pointer,a0;
begin
 -(a7) := src;
 -(a7) := dest;
end;

function strchr ( var s: string; ch: word ): pointer,a0;
begin
 -(a7) := ch;
 -(a7) := s;
end;

function memset ( memptr: pointer; value, count: word ): pointer,a0;
begin
 -(a7) := count;
 -(a7) := value;
 -(a7) := memptr;
end;

function memcmp ( s1, s2: pointer; n: word ): word,d0;
begin
 -(a7) := n;
 -(a7) := s2;
 -(a7) := s1;
end;

function memcpy ( dest, src: pointer; n: word ): pointer,a0;
begin
 -(a7) := n;
 -(a7) := src;
 -(a7) := dest;
end;

function memmove ( dest, src: pointer; n: word ): pointer,a0;
begin
 -(a7) := n;
 -(a7) := src;
 -(a7) := dest;
end;

end.