
/*
  Demonstration of the 'PREPROCESSOR' of UltraPascal
  created by		MXM-TriX	mxmtrix@xoommail.com
  released by		MXM Projects    http://start.at/mxm
*/

/*
  Define a symbol "__debug" for better compiling the preprocessor is in
  UltraPascal included
*/
// Note: Preprocessorcodes are only allowed in '{' or '(*' / '}' or '*)'
{$define __debug}

uses tios,flib;

const format: string = 'x = %d';

var x: integer;
    output: string[35];
     
begin
 x := 10;
 x := 1 + x;
 {$ifdef __debug}
 {
   This is only compiled, when the symbol "__debug" is defined and in this
   case it was defined!
 }
   flib::zap_screen;
   tios::sprintf (output, format, x);
   tios::drawstrxy (1, 1, output, 4);
   flib::idle_loop;
 {$endif}
end.


