{

  Project              UltraPascal

  Systems              DOS DPMI, WINDOWS
                       [ Linux with FPK, it would be so cool ]

  created by           MXM-TriX
		       mxmtrix@gmx.net

  under the terms of   MXM Projects
                       http://start.at/mxm

  Projectstart at      22.06.1998
  Last update at       06.09.1999

}
{$X+}
{$F-}
{$IFDEF DPMI}
program up32;
{$ELSE}
program upwin;
{$ENDIF}
{$IFDEF WINDOWS}
{$M 60000,0}
uses wincrt, windos, upas_def, upas_uni, upas_str, upas_opt, upas_fl, strings,
     upas_sys, upas_tk, upas_ch, upas_inl, upas_mat;
{$ELSE}
{$IFDEF DPMI}
{$M 60000}
{$ELSE}
{$M 60000,10000,655360}
{$ENDIF}
uses crt, windos, upas_def, upas_uni, upas_str, upas_opt, upas_fl, strings,
     upas_sys, upas_tk, upas_ch, upas_inl, upas_mat;
{$ENDIF}

{ -->> Import of the library >>-- }
{$IFDEF DPMI}

 procedure up_write ( s: PChar ); far;    external 'UPDPMIWR' index 1;
 procedure up_gotoxy ( x, y: word ); far; external 'UPDPMIWR' index 2;
 procedure up_textattr ( x: word ); far;  external 'UPDPMIWR' index 3;
 procedure up_clearline; far;		  external 'UPDPMIWR' index 4;

{$ELSE}
{$IFDEF WINDOWS}
 procedure up_write ( s: PChar ); far;    external 'UPWINWR' index 1;
 procedure up_gotoxy ( x, y: word ); far; external 'UPWINWR' index 2;
 procedure up_textattr ( x: word ); far;  external 'UPWINWR' index 3;
 procedure up_clearline; far;             external 'UPWINWR' index 4;
{$ELSE}

 procedure up_write ( s: PChar );
 begin
  write ( StrPas ( s ));
 end;

 procedure up_gotoxy ( x, y: word );
 begin
  gotoxy ( x, y );
 end;

 procedure up_textattr ( x: word );
 begin
  textattr := x;
 end;

 procedure up_clearline;
 begin
  clreol;
 end;

{$ENDIF}
{$ENDIF}

const   version: string[10] = 'R5-0.1.41';

var     begins                  : word;

        { IN_PROCEDURE ist ein Counter, um Prozeduren in Prozeduren zu
          erzeugen }
        in_procedure            : integer;
        first_instruction       : boolean;

        last_parse_string       : string;
        programname_string      : string;

        stack_count             : word;

        fargo_directory         : string;

        in_main                 : boolean;

        instruction_code        : string;

        program_ends            : boolean;
        used_libs               : pinclude_libs;

        linked_stack            : boolean;

        entry_point, comment	: string;
        export_counter       	: word;
	fargo_version           : byte;

        auto_compile		: boolean;


procedure check_valid_begin ( s: string ); forward;
function parser (to_parse: string; compile: boolean): keywords; forward;

var up_output: PChar;

procedure up_con_write ( s: string );
begin
 if up_output = nil then
  getmem ( up_output, $200 );
 StrPCopy ( up_output, s );
 up_write ( up_output );
end;

{
 function CONSUME      scanns for a necessary token in the next inputstring
                       if it isn't founded, then an error ocurrs
}

function consume ( var s: string; token: keywords; next_have_to: boolean ): string;
var i,j : word;
    result_string: string;
    token_test: boolean;
begin
s := trim ( s );
{ -->> Search token >>-- }
for j := 0 to high ( pascal_keywords ) do
 if pascal_keywords[j].keyreturn = token then break;
if next_have_to then begin
for i := 1 to length ( pascal_keywords[j].name ) do
 if upcase ( s[i] ) <> upcase ( pascal_keywords[j].name[i] )then
  error_txt ( '"' + pascal_keywords[j].name + '" excepted')
end else begin
 result_string := '';
 token_test := true;
 while length(s)>0 do begin
  if token_test then
   if copy ( s, 1, length ( pascal_keywords[j].name )) = pascal_keywords[j].name then begin
    consume := result_string;
    exit;
   end else
    token_test := false;
  case s[1] of
    ' ',#9,#13: begin
                 token_test := true;
                 delete ( s, 1, 1);
                 while (s[1] in [' ',#9,#13])and(length(s)>0) do
		  delete ( s, 1, 1);
                 result_string := result_string + ' ';
		end;
   else
    result_string := result_string + s[1];
    delete ( s, 1, 1);
   end;
  end;
 end;
end;

{ Fr neue Datentypen bentigt }
procedure add_variable_type(aname: string;alosize,ahisize: longint;
                            ause_float: boolean;asavestr: char;
                            bytesize: word; av_type: var_types;
			    v_signed: boolean);
begin
 with variable_data_types[anz_variable_data_types] do begin
     name := aname;
     lo_size := alosize;
     hi_size := ahisize;
     is_float := ause_float;
     savestr := asavestr;
     size := bytesize;
     v_type := av_type;
     signed := v_signed;
 end;
 inc(anz_variable_data_types);
end;

procedure register_data_types;
begin
 add_variable_type ('integer', -32768, 32767, false, 'w', 2, _word, true);
 add_variable_type ('word', 0, 65535, false, 'w', 2, _word, false);
 add_variable_type ('byte', 0, 255, false, 'w', 2, _byte, false);
 add_variable_type ('longint', $80000000, 2147483647, false, 'l', 4, _longint, true);
 add_variable_type ('char', 0, 255, false, 'b', 1, _char, false);
 add_variable_type ('string', 0, 0, false, 'b', 30, _string, false);
 add_variable_type ('real', 0, 0, true, 'l', 4, _real, true);
 add_variable_type ('pointer', 0, $FFFFFFFF, false, 'l', 4, _pointer, false);
 add_variable_type ('shortint', -128, 127, false, 'b', 1, _shortint, true);
 add_variable_type ('dword', 0, $FFFFFFFF, false, 'l', 4, _dword, false);
end;


{ -->> All compiling events >>-- }
{
 ****************************************************************************
   Parsing of a proceduredefinition
 ****************************************************************************
}

procedure compile_procedure_definition (s: string; compile: boolean);
var buffer_string    : string;
    current_size     : word;
    type_string      : string;
    var_name         : string;
    buffer_var       : integer;
    real_typ_str     : string;
    x                : word;
    pproc            : ppascal_procedure;
    act_var          : ppascal_var;
    saved_last	     : word;
    var_set	     : boolean;
    prev_str	     : string;
begin
 { Delete all local variables and initialise new procedure name }
 saved_last := last_variable_size;
 delete_all_variables ( local_first_variable, local_last_variable, false);

 if str_pos('(', s)=0 then begin
  if str_pos (':', s)>0 then begin
   insert ( '()', s, str_pos (':', s));
   if pos ('function ', s)=0 then error_txt ( 'A procedure can''t return a result' );
  end else begin
   delete (s, length(s), 1);
   s := s+'();';
  end;
 end;
 { Find, if it is defined, when yes, then definition is done }
 pproc := first_procedure;
 buffer_string := trim(copy(s, pos(' ', s), pos('(', s)-pos(' ',s)));
 function_defined := false;

 while (pproc^.next_procedure <> nil) and (upper_str(pproc^.name) <> upper_str(buffer_string)) do
  pproc := pproc^.next_procedure;

 if upper_str(pproc^.name) = upper_str(buffer_string) then begin
  procedure_defined := true;
  instruction_code   := '';
  procedure_exit_str := '  rts';
  { Here two different procedures are allowed }
  if pproc^.code_created and not unit_compile then error(17);
  { Insert all parameters in local stack }
  act_var := pproc^.first_var;
  while (act_var <> nil )and(act_var^.name <> '') do begin
    create_new_var ( local_last_variable );
    local_last_variable^ := act_var^;
    act_var := act_var^.next_var;
  end;
  current_procedure := pproc;
  exit;
 end else begin
  procedure_defined := true;
  instruction_code := '';
  procedure_exit_str := '  rts';

  create_new_procedure;
  current_procedure := last_procedure;
  controll_name ( trim ( buffer_string ));
  if unit_compile and (pos('_main', buffer_string)=0) then begin
   buffer_string := trim(copy(last_infile_str, str_pos(' ', last_infile_str), 255));
   if pos (':', buffer_string)>0 then
    buffer_string := copy ( buffer_string, 1, pos(':', buffer_string));
   if str_pos('(', buffer_string)>0 then
    delete(buffer_string, str_pos('(', buffer_string), 255)
   else
    delete(buffer_string, length(buffer_string), 1);
   last_procedure^.name := trim(buffer_string);
  end else
   last_procedure^.name := upper_str(buffer_string);
  last_procedure^.code_created := false;
 {
  Auslesen der Parameternamen und Typen. Zuerst muss immer der Typ bestimmt
  werden, und dann mus fortlaufen der Stackcounter mitgezhlt werden
 }

  buffer_string := trim(copy(s, pos('(', s), 255));
  while buffer_string[length(buffer_string)]<>')' do delete(buffer_string, length(buffer_string), 1);
  delete ( buffer_string, 1, 1);
  delete ( buffer_string, length(buffer_string), 1);
 {
   Alle Bezeichner / Parameter werden auf den Stack gelegt -> als lokale
   Variabeln behandelt
 }
  stack_count:=0;
  while (pos(':', buffer_string)>0) do begin

   type_string := trim(copy (buffer_string , pos(':', buffer_string)+1, 255));
   if pos(';', type_string)>0 then
    type_string := copy(type_string, 1, pos(';', type_string)-1);
   type_string := trim(type_string);

   current_size := get_var_size ( type_string );
   real_typ_str := type_string;
   type_string := trim(copy(buffer_string, 1, pos(':', buffer_string)-1));
   if pos(';', buffer_string)>0 then
    delete(buffer_string, 1, pos(';', buffer_string))
   else
    buffer_string := '';
   type_string := type_string + ',';
   if copy ( type_string, 1, 4 ) = 'var ' then begin
    var_Set := true;
    delete ( type_string, 1, 4 );
    prev_str := 'var ';
    current_size := 4;
   end else begin
    var_set := false;
    prev_Str := '';
   end;
   while type_string<>'' do begin
    inc (stack_count, current_size);
    increase_all_variables (current_size, local_first_variable, false);
    increase_all_variables (current_size, last_procedure^.first_var, false);

    create_new_var (local_last_variable);

    var_name := trim (get_parameter (type_string));
    controll_name (var_name);

   { Kopieren des Namens }
    build_var_type (prev_str + var_name+' : '+real_typ_str+';', local_last_variable, local_first_variable, false,
                    false, true);
    build_var_type (prev_str + var_name+' : '+real_typ_str+';', last_procedure^.last_var, last_procedure^.first_var, false,
                    false, true);

    last_procedure^.last_var^.needed_register := '-(a6)';
    last_procedure^.last_var^.var_set := var_set;
    local_last_variable^.var_set := var_set;
   end;
   last_procedure^.code_created := false;
   current_procedure := last_procedure;
  end;
  { -->> Check if whitespaces >>-- }
  if (trim ( buffer_string ) = '...')then begin
   if not lib_def then error_txt ( 'Whitespaces are only in librarydefinitions allowed' );
   create_new_var ( local_last_variable );
   create_new_var ( current_procedure^.last_var );
   local_last_variable^.name := '...';
   local_last_variable^.variabelntyp := _whitespaces;
   local_last_variable^.var_set := true;
   local_last_variable^.size := $F000;
   current_procedure^.last_var^.name := '...';
   current_procedure^.last_var^.variabelntyp := _whitespaces;
   current_procedure^.last_var^.var_set := true;
   current_procedure^.last_var^.size := $F000;
  end;
  if pos('function ', s)>0 then begin
   x:=length(s);
   while s[x]<>':' do dec(x);
    buffer_string := trim(copy(s, x + 1, 255));
    delete(buffer_string, length(buffer_string), 1);
    if str_pos(',', buffer_string)>0 then begin
     real_typ_str := trim(copy(buffer_string, str_pos(',', buffer_string)+1, 255));
     delete ( buffer_string, str_pos(',', buffer_string), 255);
    end else
     real_typ_str := 'd0';
    if pos ('(', buffer_string )>0 then delete ( buffer_string, pos ('(', buffer_string ), 255 );
    x := data_type_index ( buffer_string );
    if (x = -1) then error_txt ('Unknown datatype');
    current_procedure^.fkt_result := variable_data_types[x].v_type;

    build_var_type ( lower_str (last_procedure^.name)+' : '+buffer_string+';', local_last_variable, local_first_variable,
                     false, false, true);
    create_new_var ( last_procedure^.fkt_var );
    build_var_type ( lower_str ( last_procedure^.name ) + ' : '+buffer_string+';', last_procedure^.fkt_var,
                     last_procedure^.fkt_var, false, false, true );
    local_last_variable^.rechte := false;
    current_procedure^.result_in := real_typ_str;
    function_defined := true;
    function_name := current_procedure^.name;
   end else
    function_defined := false;
  { Write procedure name to the output }
  if unit_compile then begin
   write_pascal_procedure ( current_procedure );
   if interface_compile then procedure_defined := false;
  end;
  last_variable_size := saved_last;
 end;
end;

{
 ****************************************************************************
 Import of units
 ****************************************************************************
   COMPILE_USES			Import all units / librarydefinitions
   				Adds automatically 'SYSTEM' and 'PASLIB';
    Internal functions:
     * READ_UNIT		Read a unit or librarydefinition
}

procedure compile_uses ( s: string ); forward;

var read_local_var	: boolean;

function read_unit ( uname : string ): boolean;
var		my_var	: ppascal_var;
		my_proc : ppascal_procedure;
                old_libdef : boolean;
                temp_str	: string;
                temp_str_2	: string;
                calling_pos	: word;
                saved_i_c	: boolean;
                saved_r_l_v     : boolean;
                o_i_c, s_u_c	: boolean;
                curr_c, prev_c  : char;
                s		: string;
                rs		: string;
                ev              : unit_events;
                p               : pointer;
begin
 getmem ( p, $400 );
 up_gotoxy ( 1, 24 );
 up_textattr ( $e );
 up_con_write ('Preparing compiler, please wait, import unit '+uname+'       ');
 up_textattr ( $7 );
 o_i_c := interface_compile;
 s_u_c := unit_compile;
 unit_compile := false;
 interface_compile := false;
 rs := file_container^.search_file ( _unitdirpath, uname + '.UPU' );
 if rs = '' then
  error_txt ( 'Unit "' + uname + '" not found' );
 if not open_unit ( rs ) then
  error_txt ( '"' + uname + '" is no unit or librarydefinition');
 old_libdef := lib_def;
 get_unit_c; { -->> Overread used version >>-- }
 if get_unit_c = #1 then begin
  lib_def := true;
  read_local_var := false;
 end else
  lib_def := false;
 read_unit := lib_def;
 while 1=1 do begin
    case read_next_event of
         _toggle:      	 begin end;
         _new_procedure: begin
                          if not read_unit_procedure ( first_procedure, last_procedure, true )and read_infile then begin
                           delete_all_variables ( local_first_variable, local_last_variable, false );
                           calling_pos := 1;
          		   create_new_procedure;
                           read_unit_procedure ( first_procedure, last_procedure, false );
                           current_procedure := used_proc;
                           if lib_def then
			    current_procedure^.name := uname + '::' + current_procedure^.name;
                           current_procedure^.used := false;
                           if pos ( '::', current_procedure^.name ) = 0 then
                            current_procedure^.code_created := true
                           else
                            current_procedure^.code_created := false;
                           current_procedure^.first_var := nil;
                           new ( current_procedure^.first_var );
                           current_procedure^.first_var^.name := '';
                           current_procedure^.last_var := current_procedure^.first_var;
                           current_procedure^.first_var^.next_var := nil;
                           while read_next_event <> _parameter_term do begin
                            create_new_var ( current_procedure^.last_var );
                            create_new_var ( local_last_variable );
			    read_unit_var ( current_procedure^.first_var, current_procedure^.last_var, true);
                            read_unit_var ( local_first_variable, local_last_variable, false );
                            read_unit_var ( current_procedure^.first_var, current_procedure^.last_var, false);
                           end;
                           current_procedure^.code_created := true;
                           if lib_def then begin
                            {
			     Input all necessary registers
			     ---->> The compiler inserted the
			     libdefinitioncode after this reading part, so
			     it is possible to read line for line
			    }
                            read_open_proc_code;
                            read_unit_line ( temp_str );
                            while read_unit_line ( temp_str ) do begin
                             if str_pos (':=', temp_str ) = 0 then begin
                              warning (4);
                              continue;
                             end;
                             temp_str_2 := trim (copy ( temp_str, 1, str_pos(':=', temp_str)-1));
                             if not test_register ( temp_str_2 ) then error_txt ('No register defined');
                             delete ( temp_str, length(temp_str), 1);
                             temp_str := trim(copy(temp_str, str_pos(':=', temp_str)+2, 255));
                             my_var := current_procedure^.first_var;
                             { Search variable }
                             while (my_var <> nil) and (upper_str(my_var^.name) <> upper_str(temp_Str)) do
                              my_var := my_var^.next_var;
                             if (my_var <> nil) and (upper_str(my_var^.name) = upper_str(temp_Str)) then begin
                              my_var^.needed_register := temp_str_2;
                              my_var^.call_level := calling_pos;
                              inc ( calling_pos );
                             end else
                              error_txt ('Unknown parametervariable');
                            end;
                           end;
                          end;
                          read_local_var := true;
                         end;
         _new_variable:  if read_infile then begin
                          if read_local_var then begin
                            if not read_unit_var ( local_first_variable, local_last_variable, true ) then begin
			     create_new_var ( local_last_variable );
                             read_unit_var ( local_first_variable, local_last_variable, false );
                            end;
                          end else begin
                            if not read_unit_var ( global_first_variable, global_last_variable, true ) then begin
			     create_new_var ( global_last_variable );
                             read_unit_var ( global_first_variable, global_last_variable, false );
                             if lib_def then
                              global_last_variable^.name := uname + '::' + global_last_variable^.name;
                            end;
                          end;
                         end;
         _new_type     : if read_infile then begin
                          if not read_type_var ( type_first_variable, type_last_variable, true ) then begin
                           create_new_var ( type_last_variable );
                           read_type_var ( type_first_variable, type_last_variable, false );
                          end;
                         end;
         _end_unit     : break;
         _asm_code     : while get_unit_c <> #$FE do; { Don't read the ASM code }

         _preprocessor_code: begin
                               read_unit_line ( temp_str );
                               delete ( temp_str, 1, 1);
	                       preprozessor ( temp_str );
                               while not read_infile do begin
                                { -->> Overread all useless parts >>-- }
                                while true do begin
                                 ev := read_next_event;
                                 if ev = _preprocessor_code then break;
                                 if (chunk_sizes [ ev ] > 0) and ( chunk_sizes [ ev ] < $f000 ) then
                                  unit_file^.cacheread ( p^, chunk_sizes [ ev ] );
                                 if chunk_sizes [ ev ] = $ffff then break;
                                 if chunk_sizes [ ev ] = $fffd then
                                  while get_unit_c <> #$FE do;
                                end;
                                if chunk_sizes [ ev ] = $ffff then break;
                                read_unit_line ( temp_str );
                                delete ( temp_str, 1, 1);
                                preprozessor ( temp_str );
                               end;
                             end;
         _synonym_def  : if read_infile then read_synonym_def ( first_procedure );
         _used_unit    : if read_infile then begin
                          saved_i_c := interface_compile;
                          saved_r_l_v := read_local_var;

	                  compile_uses ( read_used_unit+';' );

                          up_gotoxy ( 1, 24 );
                          up_textattr ( $e );
                          up_con_write ('Preparing compiler, please wait, import unit '+uname+'       ');

                          read_infile := true;
    			  interface_compile := saved_i_c;
                          read_local_var := saved_r_l_v;
                         end;
    end;
 end;
 freemem ( p, $400 );
 up_gotoxy (1, 24);
 up_clearline;
 close_opened_unit;
 unit_compile := s_u_c;
 lib_def := old_libdef;
 up_clearline;
 interface_compile := o_i_c;
end;

procedure compile_uses ( s: string );
var       i: word;
          sa: boolean;
begin
delete ( s, length(s), 1);
s := trim(s)+',';
sa := auto_compile;
auto_compile := false;
while pos(',', s)>0 do begin
 if unit_compile then { -->> Probably in an IFDEF construction >>-- }
  write_used_unit ( trim(copy(s, 1, pos(',', s)-1)) );
 for i:=0 to high(tinclude_libs) do begin
  if used_libs^[i].lib_name = trim(copy(s, 1, pos(',', s)-1)) then begin
    if used_libs^[i].imported then break;
    used_libs^[i].unit_bool := not read_unit ( used_libs^[i].lib_name );
    if not used_libs^[i].unit_bool then
     unit_container^.add_string ( used_libs^[i].lib_name );
  end;
  if used_libs^[i].lib_name = '' then begin
   used_libs^[i].imported := false;
   used_libs^[i].lib_name := trim(copy(s, 1, pos(',', s)-1));
   used_libs^[i+1].lib_name := '';
   { -->> Check, if a unit is new ( autocompile ) >>-- }
   if filenewer ( file_container^.search_file ( _unitdirpath, used_libs^[i].lib_name + '.PAS' ),
                  file_container^.search_file ( _unitdirpath, used_libs^[i].lib_name + '.UPU' )) then begin
        put_file_to_compile ( file_container^.search_file ( _unitdirpath, used_libs^[i].lib_name + '.PAS' ));
        auto_compile := true;
   end else begin
   { -->> OK >>-- }
     used_libs^[i].imported := true;
     used_libs^[i].unit_bool := not read_unit ( used_libs^[i].lib_name );
     if not used_libs^[i].unit_bool then
      unit_container^.add_string ( used_libs^[i].lib_name );
   end;
   break;
  end;
 end;
 delete ( s, 1, pos(',', s));
end;
if not auto_compile then
 auto_compile := sa;
end;

{ -->> Compiles a typedefinition >>--}
procedure compile_type ( pre_str: string; compile: boolean );
var curr_s, var_s: string;
begin
if begins > 0 then error_txt ( 'Wrong "type" start' );
curr_s := get_next_line;
while not is_token(curr_s, false, true) do begin
 if lib_def then curr_s := last_infile_str;
 var_s := trim (copy(curr_s, 1, str_pos ('=', curr_s)-1));
 if str_pos (',', var_s)>0 then error_txt ( 'More than one used name ( type )');
 var_s := trim(var_s + ':' + copy ( curr_s, str_pos ('=', curr_s)+1, 255));
 build_var_type ( var_s, type_first_variable, type_last_variable, false, false, false );
 { -->> Write typedefinition >>-- }
 if unit_compile then
  write_type_var ( type_last_variable, false );
 curr_s := get_next_line;
end;
insert_token ( curr_s );
end;

{ -->> Compiles a variabledefinition for global and local variables >>-- }
procedure compile_var ( pre_str: string; compile: boolean; rechte: boolean);
var  s: string;
     curr_s: string;
     var_s: string;
     used_size: word;
begin
if begins > 0 then error(20);
curr_s := get_next_line;
if lib_def then curr_s := last_infile_str;
while not is_token(curr_s, false, true) do begin
 if (str_pos ('=', curr_s) > 0) and (str_pos (':', curr_s) = 0) then begin
   { Untypised variable }
   build_var_type (curr_s, global_last_variable, global_first_variable, false, rechte, false);
   global_last_variable^.rechte := true;
   var_s := '';
 end else
   var_s := trim(copy(curr_s, 1, str_pos(':', curr_s) - 1))+',';
 while str_pos(',', var_s)>0 do begin
  s:=get_parameter(var_s) + copy(curr_s, str_pos(':', curr_s),255);
  var_s := trim ( var_s );
  if procedure_defined then begin
   used_size := build_var_type ( s, local_last_variable, local_first_variable, false, rechte, false);
   local_last_variable^.rechte := rechte;
  end else begin
   used_size := build_var_type ( s, global_last_variable, global_first_variable, false, rechte, false);
   global_last_variable^.rechte := rechte;
   if unit_compile then write_pascal_var ( global_last_variable, false );
  end;
 end;
 curr_s := get_next_line;
 if lib_def then curr_s := last_infile_str;
end;
{ Write back the next string }
insert_token ( curr_s );
end;

{ -->> The powerful CASE instruction >>-- }
procedure compile_case ( ev_str: string; compile: boolean );
var  case_reg, case_end_lbl,
     case_next_lbl, case_calc,
     case_calculation, case_1,
     case_2, case_res           : string;
     b                          : boolean;
     case_bg_lvl                : word;
     curr_pars                  : string;
     first                      : boolean;
     case_tmp_res               : string;
begin
 output_commentbox('CASE section');

 { -->> Generate labels >>-- }
 new_label ( 'end_case', normal_label );
 case_end_lbl := get_label ( normal_label );
 putqueue ( case_end_lbl, false, stp_queue );

 { -->> load the necessary value into a register >>-- }
 end_char := ':';
 check_of := true;
 case_calc := get_next_line;
 check_of := false;
 case_calc := consume ( case_calc, _of, false );
 case_reg := calculate ( case_calc, compile );
 if not test_register ( case_reg ) then begin
  case_reg := get_freeregister;
  load_data ( case_calc, case_reg, false);
 end;
 case_tmp_res := get_freeregister;
 load_data ( case_reg, case_tmp_res, false );
 first := true;
 while true do begin
  { -->> Get next case >>-- }
  end_char := ':';
  case_calc := get_next_line;
  end_char := ';';
  if case_calc = 'end;' then break;
  if not first then begin
    output ( '  bra ' + case_end_lbl + #13#10 + case_next_lbl + ':' );
    load_data ( case_tmp_res, case_reg, false );
  end;
  first := false;
  delete ( case_calc, length ( case_calc ), 1 );
  case_calc := case_calc + ',';
  case_calculation := '(';
  while case_calc <> '' do begin
   { -->> Build calculationstring >>-- }
   if case_calc <> 'else' then begin
    output_commentbox ( 'CASE test block' );
    case_1 := get_parameter ( case_calc );
    if str_pos ( '..', case_1 )>0 then begin
     case_2 := trim(copy ( case_1, str_pos ('..', case_1)+2, 255 ));
     case_1 := trim(copy ( case_1, 1, str_pos ( '..', case_1 )-1));
     case_2 := pre_calculation ( case_2 + ';' );
     case_1 := pre_calculation ( case_1 + ';' );
     dec ( byte(case_2[0]));
     dec ( byte(case_1[0]));
     if (test_nr (case_1) = '') or (test_nr ( case_2 ) = '' ) then
      error_txt ( 'Constant expression necessary' );
     case_calculation := case_calculation + case_reg + '>=' + case_1 + ')or('+
                         case_reg + '<=' + case_2 + ')';
    end else begin
     case_1 := pre_calculation ( case_1 + ';' );
     dec ( byte ( case_1[0]));
     if test_nr (case_1)='' then
        error_txt ( 'Constant expression necessary' );
     case_calculation := case_calculation + case_reg + '=' + case_1 + ')';
    end;
    if case_calc <> '' then
     case_calculation := case_calculation + 'and(';
   case_res := calculate ( case_calculation, compile );
   { Generate next label }
   new_label ( 'next_case', normal_label );
   case_next_lbl := get_label ( normal_label );
   output ( '  tst.w ' + case_res+#13#10+
            '  beq ' + case_next_lbl );
   { -->> Check for begin code >>-- }
   end else
    output_commentbox ('CASE else block');
   case_bg_lvl := begins;
   check_valid_begin ( '' );
   repeat
    parser (get_next_line, true);
   until case_bg_lvl = begins;
   if case_calculation = 'else' then break;
  end;
 end;

 { -->> Exit code of CASE >>-- }
 set_registerstate ( case_reg, false );
 set_registerstate ( case_tmp_res, false );
 output_commentbox ( 'Here the case ends ( endlabel )');
 output ( case_next_lbl + ':' );
 output ( case_end_lbl + ':' );
 getqueue ( case_end_lbl, b, stp_queue );
end;

procedure compile_try ( ev_str: string; compile: boolean );
var try_else, try_end: string;
begin
 { -->> Generate entrycode >>-- }
 new_label ( 'try_else', normal_label );
 try_else := get_label ( normal_label );
 new_label ( 'try_end', normal_label );
 try_end := get_label ( normal_label );

 output_commentbox ( 'TRY entry code');
 output ( '  lea '+try_else+'(PC),a3');
 call_library ( 'paslib', 'EnableTry' );
 check_valid_begin ( '' );
 { -->> Generate END code >>-- }
 { Structure:
         bra end_try_xxxx
         try_else_xxxx:

         end_try_xxxx:
         jsr paslib::EndTry
 }
 putqueue ( 'jpaslib,DisableTry', false, end_queue );
 putqueue ( try_end + ':', false, end_queue );
 putqueue ( '2', false, end_queue );

 putqueue ( try_else + ':', false, end_queue );
 putqueue ( 'bra '+try_end, false, end_queue );
 putqueue ( 'E', false, end_queue ); { There has to be an else }
 putqueue ( '3', false, end_queue );
end;

{
 ****************************************************************************
                     Compiler initialisieren
 ****************************************************************************
}

procedure init_compiler;
var i: word;
    np: ppascal_procedure;
begin
 delete_all_variables ( global_first_variable, global_last_variable, false );
 delete_all_variables ( local_first_variable, local_last_variable, false );
 delete_all_variables ( type_first_variable, type_last_variable, false );

 { -->> Delete all procedures / AutoCompile >>-- }
 while first_procedure <> nil do begin
  np := first_procedure^.next_procedure;
  delete_all_variables ( first_procedure^.first_var, first_procedure^.last_var, true );
  dispose ( first_procedure );
  first_procedure := np;
 end;

 new(first_procedure);
 first_procedure^.name:='';
 first_procedure^.next_procedure:=nil;

 last_procedure:=first_procedure;

 new (first_procedure^.first_var);
 first_procedure^.first_var^.name := '';
 first_procedure^.last_var := first_procedure^.first_var;

 anz_variable_data_types:=0;
 register_data_types;

 comments:=0;
 linenr:=0;
 apv_counter := 1;
 string_read:=false;
 read_infile:=true;

 if used_libs = nil then begin
  new (used_libs);
  used_libs^[0].lib_name := '';
 end;

 begins := 0;
 procedure_defined := false;
 function_defined := false;
 standard_string_size := 30;

 insert_time_token ( '', 0 );
 end_char := ';';
end;

{
 ****************************************************************************
 Werbungslogo / gemacht von
 ****************************************************************************
}

var linepos : byte;

procedure center(x: string);
begin
up_gotoxy(40-length(x) div 2, linepos);
inc ( linepos );
up_con_write(x);
end;

procedure show_creator;
begin
up_clrscr;
linepos := 1;
up_textattr($f);
center('');
center('UltraPascal '+version+'                                                ');
{$IFDEF DPMI}
center('Using DPMI                                                           ');
{$ELSE}
{$IFDEF WINDOWS}
center('Using Windows DLL                                                    ');
{$ELSE}
center('Using REAL                                                           ');
{$ENDIF}
{$ENDIF}
center('created by MXM-TriX            mxmtrix@gmx.net                       ' );
center('released by MXM Projects       http://start.at/mxm                   ');
center('');
center('     Some parts are created by MXM-Wizard ( wizard@infomaniak.ch )    ');
center('');

end;

{ -->> Insert time  begin .. end  for easier parsing >>-- }

procedure check_valid_begin ( s: string );
var buffer_string : string;
begin
 buffer_string := get_next_line;
 if buffer_string <> 'begin' then begin
  insert_token ( buffer_string );
  insert_token ( 'begin' );
  inc_time_level;
  insert_time_token ( 'end;', 1 );
 end else
  insert_token ( 'begin' );
end;

{function convert_numeric_system ( x: string ): longint;
var result      : longint;
    i           : word;
begin
result := 0;
for i := 0 to high(pascal_numeric_systems) do
 if x[1] = pascal_numeric_systems[i].identification then begin
  delete (x, 1, 1);
  while x<>'' do begin
   result := result * pascal_numeric_systems[i].base;
   case x[1] of
    '0'..'9': inc(result, ord(x[1]) - ord('0'));
    'a'..'z': inc(result, ord(x[1]) - ord('a') + 10);
   end;
  end;
  convert_numeric_system := result;
  exit;
 end;
val (x, result, i);
convert_numeric_system := result;
end;}


{
 ****************************************************************************
 Schreiben der Variabeln in die Ausgabedatei
 ****************************************************************************
}

procedure write_var_to_output (from : ppascal_var);
var out_str: string;
    i, z: word;
    in_str: boolean;
begin
if unit_compile then exit;
increase_all_variables ( global_last_variable^.size, global_first_variable, true);
output_commentbox('Here are all global variables defined');
while (from <> nil)and(from^.name<>'') do begin
 if str_pos ( '::', from^.name ) = 0 then begin
  out_str := from^.name+' ';
  if from^.variabelntyp <> _no_type then begin
   if (copy(from^.const_string, 1, 2) = 'dc') or (copy ( from^.const_string, 1, 6)='INCBIN')then begin
    { -->> Formatted output >>-- }
    output_chars (from^.name + ' ');
    output_chars ( copy ( from^.const_string, 1, pos (' ', from^.const_string ))+'"');
    z := length ( from^.const_string );
    while from^.const_string[z] <> '"' do dec(z);
    for i := pos (' ', from^.const_string )+2 to z-1 do begin
      if from^.const_string[i] = '"' then
       output_chars ( '",34,"' )
      else
       output_char ( from^.const_string [ i ] );
    end;
    output_chars ( copy ( from^.const_string, z, 255 )+#13#10 );
   end else begin
    out_str := out_str + 'ds.b '+conv_to_str(from^.size);
    output(out_str);
   end;
  end;
 end;
 from := from^.next_var;
end;
end;

procedure compile_begin ( ev_str: string; compile: boolean);
var       ppvar         : ppascal_var;
          i, j          : word;
          pproc		: ppascal_procedure;
          s		: string;
begin
if not procedure_defined and (begins=0) and (export_counter<>1) then
 error_txt ('"end." necessary, no mainmodules are allowed in libraries');
if lib_def and procedure_defined then begin
 open_pascal_proc_code ( current_procedure );
 output('_'+current_procedure^.name+':');
 inc(begins);
 exit;
end;
if procedure_defined and (begins=0) then begin
 { Building of the stackframe and the entry prolog in a procedure }
 if unit_compile then
  open_pascal_proc_code ( current_procedure );
 open_procedure_file;
 output_commentbox('Procedure '+current_procedure^.name);
 output('_'+lower_str(current_procedure^.name)+':');
 output_commentbox('Entrypoint of the procedure');
 output(instruction_code);
 output('  movem.l d0-d7/a0-a6,-(a7)');
 { Creating of the stackframe for the local variables }
 { Find, if there are some variables }
 { Count, how much parameters }
 i := 1;
 ppvar := current_procedure^.first_var;
 while ppvar^.next_var <> nil do begin
  inc(i);
  ppvar := ppvar^.next_var;
 end;
 ppvar := local_first_variable;
 for j := 1 to i do
  ppvar := ppvar^.next_var;
 if (ppvar <> nil) then begin
  if current_procedure^.first_var^.name <> '' then
   i := current_procedure^.first_var^.stackpos
  else
   i := 0;
  output('  lea '+conv_to_str(i - (local_first_variable^.stackpos + local_last_variable^.size))+
         '(a6),a6    ; Local variables');
  linked_stack := true;
 end else
  linked_stack := false;
 output('  move.l a6,a5');
 current_procedure^.code_created := true;
 inc (begins);
 exit;
end;
if (begins=0)and not procedure_defined then begin
 if unit_compile then begin
  compile_procedure_definition ('procedure _'+unit_name+'_main();', compile);
  open_pascal_proc_code ( last_procedure );
  output_commentbox('Entrypoint of this unit');
  output ('_'+lower_str ( last_procedure^.name )+':');
  output ('  movem.l d0-d7/a0-a6,-(a7)');
  in_main := true;
  last_procedure^.code_created := true;
  procedure_defined := false;
 end else begin
  output_commentbox('Entrypoint of the program');
  output('_main:');
  output('; Register the program'+#13#10+
         '  move.w #'+conv_to_str ( program_stack_size )+',d0'+#13#10+
         '  lea __pascal_end_of_program(PC),a5');
  output('  lea __pascal_function_result(PC),a4');
  new ( temp_container, init );
  temp_container^.add_string ( 'paslib' );
  temp_container^.add_string ( 'register_pascal_program' );
  fargo_version_stream^.insert ( _librarycall, form_container_2, temp_container, s);
  dispose ( temp_container, done );
  output ( s );
  output('  move.l a7,-(a6)'+#13#10+
	 '  lea _comment(PC),a4');

  { Check, for initializationroutines from units }
  for i := 0 to high(tinclude_libs) do begin
   if (used_libs^[i].lib_name = '') then break;
   { Find routine }
   pproc := first_procedure;
   while (pproc <> nil) and (upper_str ( '_' + used_libs^[i].lib_name + '_main') <> upper_str ( pproc^.name )) do
    pproc := pproc^.next_procedure;
   if (pproc<>nil) and (upper_str ( '_' + used_libs^[i].lib_name + '_main') = upper_str ( pproc^.name )) then begin
    output('  bsr _'+lower_str ( '_' + used_libs^[i].lib_name + '_main')+'     ; Calling of the "unit-init-routine"');
    pproc^.used := true;
   end;
  end;
  output_commentbox('Your program starts here');
  in_main := true;
 end;
end;
inc(begins);
end;

procedure compile_end ( str: string; compile: boolean);
var ppvar : ppascal_var;
    index : string;
    str_1 : string;
    bool_1: boolean;
    i, code: word;
    res_reg: string;
    l_que_str: string;
    s1 : string;
    b1 : boolean;
begin
if (str [ 4 ] = '.')and(begins>1) then error_txt ('Wrong "end." ( "end;" necessary )');
if procedure_defined and (begins=1) then begin
 if lib_def then begin
  close_pascal_proc_code;
  begins := 0;
  exit;
 end;
 output_commentbox('End of the procedure');
 if procedure_defined and function_defined then begin
  output('; Save result of the function in a temporarly variable');
  ppvar := get_pascal_var_descriptor (function_name, local_first_variable);
  index := get_size_str ( ppvar^.variabelntyp );
  if ppvar^.size>4 then begin
   output ('  lea '+conv_to_str (ppvar^.stackpos)+'(a5),a0'#13#10'  move.l a0,__pascal_function_result');
   call_library ( 'paslib', 'MoveArea' );
  end else
   output('  move.'+index+' '+conv_to_str (ppvar^.stackpos)+'(a5),__pascal_function_result');
 end;
 if linked_stack then begin
  ppvar := local_first_variable;
  while (ppvar^.next_var <> nil)and(ppvar^.name <> '' ) do
   ppvar := ppvar^.next_var;
   {output(';  lea '+conv_to_str(local_first_variable^.stackpos)+'(a6),a6');}
 end;
 output('  movem.l (a7)+,d0-d7/a0-a6');
 output('; Restoring of the internal pascalstack');
 if current_procedure^.first_var^.name <> '' then
  output('  lea '+conv_to_str(current_procedure^.first_var^.stackpos + current_procedure^.last_var^.size)+'(a6),a6');
 output(procedure_exit_str);
 dec(begins);
 procedure_defined := false;
 delete_all_variables ( local_first_variable, local_last_variable, false );
 if unit_compile then close_pascal_proc_code;
 open_main_file;
 { -->> Reset imported variables >>-- ( local ) }
 delete_all_variables ( local_first_variable, local_last_variable, false );
end;
if in_main and (begins=1) then begin
 if unit_compile then begin
  output_commentbox('Return of the libraryintializationroutine');
  program_ends := true;
  output('  movem.l (a7)+,d0-d7/a0-a6'#13#10'  rts');
  close_pascal_proc_code;
 end else begin
  output_commentbox('End of this program');
  output('__pascal_end_of_program:');
  new ( temp_container, init );
  temp_container^.add_String ( 'paslib' );
  temp_container^.add_string ( 'handle_exceptions' );
  fargo_version_stream^.insert ( _librarycall, form_container_2, temp_container, str_1 );
  output ( str_1 );
  dispose ( temp_container, done );
  output('  move.l (a6),a7'+#13#10+
         '  rts');
  in_main := false;
  program_ends := true;
 end;
end;
if ( begins > 1 ) then begin
 { Handling of an end-part }
 dec ( begins );
 getqueue ( str_1, bool_1, end_queue );
 if str_1 <> '' then begin
  val ( str_1, i, code );
  l_que_str := '';
  while i>0 do begin
   getqueue ( str_1, bool_1, end_queue );
   { Scan string }
   if str_1[length(str_1)] = ':' then
    output (str_1)
   else
    case str_1[1] of
      'b': output ( '  ' + str_1 );   { branch }
      'c': res_reg := calculate ( copy ( str_1, 2, 255 ), compile);
      't': output ('  tst.w '+res_reg );
      'r': compile_calculation ( copy ( str_1, 2, 255 ), compile);
      'u': usingsize := copy ( str_1, 2, 1 );
      'E': begin
            res_reg := get_next_line;
            if res_reg <> 'else' then error_txt ('ELSE necessary');
            insert_token ( res_reg );
           end;
      'j': call_library ( copy ( str_1, 2, pos(',', str_1)-2), copy ( str_1, pos(',', str_1)+1, 255));
      'e': { -->> Probably else ? >>-- }
           begin
            res_reg := get_next_line;
            insert_token ( res_reg );
            if res_reg = 'else' then begin
             new_label ( 'end_else', normal_label );
             l_que_str := get_label ( normal_label );
             output ( '  bra '+l_que_str );
            end;
           end;
      { The following numbers are for restoring of the queue's }
      'x': while length(str_1)<>0 do begin
             delete ( str_1, 1, 1);
	     case str_1[1] of
              '1': getqueue ( s1, b1, stp_queue );
              '2': getqueue ( s1, b1, con_queue );
              '3': getqueue ( s1, b1, begin_queue );
             end;
           end;
    end;
   dec ( i );
  end;
  if l_que_str <> '' then begin
   putqueue ( l_que_str + ':', false, end_queue );
   putqueue ( '1', false, end_queue );
  end;
  dec_time_level;
 end;
end;
if str = 'end.' then program_ends := true;
end;

procedure compile_repeat;
var rep_lbl: string;
begin

 output_commentbox ( 'REPEAT begin' );

 new_label ( 'repeat', normal_label );
 rep_lbl := get_label ( normal_label );

 output (rep_lbl + ':');
 putqueue ( rep_lbl, false, keyword_queue );

 new_label ( 'repeat_test', normal_label );
 rep_lbl := get_label ( normal_label );
 putqueue ( rep_lbl, false, keyword_queue );
 putqueue ( rep_lbl, false, con_queue );

 new_label ( 'repeat_end', normal_label );
 rep_lbl := get_label ( normal_label );
 putqueue ( rep_lbl, false, keyword_queue );
 putqueue ( rep_lbl, false, stp_queue );

 inc_time_level;
end;

procedure compile_until ( s: string; compile: boolean );
var rep_lbl, rep_lbl_exit, rep_lbl_con : string;
    res_in  : string;
    b1	    : boolean;
begin
 output_commentbox ( 'UNTIL test' );
 delete ( s, 1, 5 );
 delete ( s, length ( s ), 1 );
 getqueue ( rep_lbl, b1, keyword_queue );
 getqueue ( rep_lbl_con, b1, keyword_queue );
 getqueue ( rep_lbl_exit, b1, keyword_queue );
 if pos ( 'repeat', rep_lbl )=0 then
  error_txt ( 'Misplaced "until" or missing repeat' );
 output (rep_lbl_con+':');
 res_in := calculate ( s, compile );

 output ( '  tst.w '+res_in+#13#10+
          '  beq '+rep_lbl+#13#10+
          rep_lbl_exit+':' );

 dec_time_level;
end;

procedure compile_while ( s: string; compile: boolean );
var buffer_str: string;
    while_lbl: string;
    out_lbl  : string;
    res: string;
begin
 inc_time_level;

 output_commentbox ('WHILE test');
 delete ( s, 1, 5 );

 buffer_str := consume ( s, _do, false );

 check_valid_begin ( s );

 new_label ( 'while', normal_label );
 while_lbl := get_label ( normal_label );

 new_label ( 'end_while', normal_label );
 out_lbl := get_label ( normal_label );
 output ( while_lbl + ':' );
 putqueue ( while_lbl, false, keyword_queue );
 putqueue ( out_lbl, false, stp_queue );

 res := calculate ( res, compile );
 output ('  tst.w '+res+#13#10+
         '  beq '+out_lbl);
 { CODE FOR WHILE:
     bra while_lbl
     end_while:
 }
 putqueue ( 'x12', false, end_queue );
 putqueue ( out_lbl + ':', false, end_queue );
 putqueue ( 'bra '+while_lbl, false, end_queue );
 putqueue ( '3', false, end_queue );
end;

procedure compile_else;
begin
{ -->> ELSE PART IS DONE BY END-QUEUE HANDLING, so here we just have to
  add a ( probably ) begin >>-- }
 check_valid_begin ( 'else' );
end;

procedure compile_if ( s: string; compile: boolean );
var buffer_str : string;
    if_lbl : string;
    res	   : string;
begin

 output_commentbox ('IF test');
 delete ( s, 1, 2 );

 buffer_str := consume ( s, _then, false );

 check_valid_begin ( s );

 new_label ( 'if', normal_label );
 if_lbl := get_label ( normal_label );

 res := calculate ( buffer_str, compile );
 output ('  tst.w '+res+#13#10+
         '  beq '+if_lbl );

 { CODE FOR THE IF:
      test else          : 'e'
       ->> new label
       ->> out of label
      if_lbl:            : if_lbl + ':'
 }
 putqueue ( if_lbl+':', false, end_queue );
 putqueue ( 'e', false, end_queue );
 putqueue ( '2', false, end_queue );
end;

procedure compile_for ( s: string; compile: boolean );
var buffer_str: string;
    for_lbl: string;
    lbl_1, lbl_2: string;
    down: boolean;
    variable : string[40];
    for_to: string;
    v       : ppascal_var;
    us      : string;
begin
 output_commentbox ( 'Start of a for loop' );
 delete ( s, 1, 4 );
 buffer_str := consume ( s, _to, false );

 down := (copy ( buffer_str, length ( buffer_str ) - 5, 5 ) = ' down');
 if down then delete ( buffer_str, length ( s ) - 5, 5 );

 variable := trim ( copy ( buffer_str, 1, pos (':=', buffer_str )-1 ));
 for_to := trim ( copy ( s, 3, length ( s ) - 2 - 3 ));
 v := get_pascal_var_descriptor ( variable, local_first_variable );
 if v = nil then
   v := get_pascal_var_descriptor ( variable, global_first_variable );
 if v=nil then error_txt ( 'Unknown variable in the for loop' );
 if v^.variabelntyp = _array then
  us := get_size_str ( v^.arraytyp )
 else
  us := get_size_str ( v^.variabelntyp );

 check_valid_begin ( s );
 compile_calculation ( buffer_str + ';', true );

 { Create necessary labels }
 new_label ( 'for_continue', normal_label );
 lbl_1 := get_label ( normal_label );
 putqueue ( lbl_1, false, con_queue );

 new_label ( 'for_exit', normal_label );
 lbl_2 := get_label ( normal_label );
 putqueue ( lbl_2, false, stp_queue );

 new_label ( 'for_begin', normal_label );
 for_lbl := get_label ( normal_label );

 output (for_lbl+':');
 { -->> Write necessary end code, reverse order! >>-- }
 { CODE:
    _for_continue_0000:
    ; Increment / decrement of the variable
    case 1:    add.w #1,reloc_variable(__var_str)
    case 2:    sub.w #1,reloc_variable(__var_str)
    ; Test if end is reached
    result := calc end
    compare reloc_variable(__var_str),result
    usingsizes := variable
    ; Right branch
    case 1:    ble for_begin
    case 2:    bhi for_begin
    _for_stp_0000:
 }
 { Cleaning informations: }
 putqueue ( 'x12', false, end_queue );
 putqueue ( lbl_2+':', false, end_queue );
 if down then begin
  putqueue ( 'beq '+for_lbl, false, end_queue );
  putqueue ( 't', false, end_queue );
  putqueue ( 'c'+variable+'='+for_to+'-1', false, end_queue );
  putqueue ( 'u'+us, false, end_queue );
  putqueue ( 'r'+variable+':='+variable+'-1;', false, end_queue );
 end else begin
  putqueue ( 'beq '+for_lbl, false, end_queue );
  putqueue ( 't', false, end_queue );
  putqueue ( 'c'+variable+'='+for_to+'+1', false, end_queue );
  putqueue ( 'u'+us, false, end_queue );
  putqueue ( 'r'+variable+':='+variable+'+1;', false, end_queue );
 end;
 putqueue ( lbl_1+':', false, end_queue );
 putqueue ( '8', false, end_queue );
end;

procedure compile_stp ( s: string );
var que : integer;
    lbl: string;
    b1 : boolean;
begin
 case s[1] of
  'h': begin
        output ('  bra __pascal_end_of_program');
        exit;
       end;
  'e': que := stp_queue;
  'b': que := stp_queue;
  'c': que := con_queue;
 end;
 getqueue ( lbl, b1, que );
 if lbl = '' then error_txt ( 'Invalid "'+copy ( s, 1, length(s)-1)+'"');
 putqueue ( lbl, b1, que );
 output ('  bra '+lbl);
end;

procedure compile_forward;
begin
 procedure_defined := false;
end;

procedure compile_interrupt;
begin
 instruction_code := '; Set SuperUser state'+#13#10+
                     '  move.w sr,-(a7)'+#13#10+
                     '  move.w #$2700,sr';

 procedure_exit_str := '; Set UserMode ( previous mode )'+#13#10+
                       '  move.w (a7)+,sr'+#13#10+
                       '  rte';
end;

procedure compile_assembly;
begin
 last_procedure^.asm_func := true;
end;

procedure compile_asm ( compile : boolean );
var ip_str : string;
begin
 if last_procedure^.asm_func  then begin
  { generate entry prolog }
  compile_begin ( '', compile );
 end;
 output_commentbox(' The following section is an assemblypart');
 ip_str := '';
 end_char := #13;
 while trim(ip_str) <> 'end;' do begin
  if ip_str <> '' then
   if ip_str[length(ip_str)] <> ':' then
     output ( '  ' + ip_str )
   else
     output ( ip_str );
  ip_str := get_next_line;
 end;
 output_commentbox(' End of the assemblysection');
 end_char := ';';
 if last_procedure^.asm_func then compile_end ( 'end;', compile );
end;

procedure compile_export;
var s: string;
begin
 new ( temp_container, init );
 temp_container^.add_string ( copy ( sourcefile, 1, pos ('.', sourcefile ) - 1));
 temp_container^.add_string ( hexwrite ( export_counter-1, 4, true ));
 temp_container^.add_string ( lower_str (current_procedure^.name ));
 fargo_version_stream^.insert ( _lib_export_proc, form_container_3, temp_container, s );
 dispose ( temp_container, done );
 output ( trim ( s ));
end;

procedure compile_synonym ( s: string );
begin
delete ( s, 1, 8);
delete ( s, length(s), 1);
s := trim(s);
s := pre_compile_string ( s );
if not procedure_defined then error(22);
current_procedure^.synonym := trim(copy(s, 2, length(s)-3));
if str_pos ('(', current_procedure^.synonym ) = 0 then
 current_procedure^.synonym := current_procedure^.synonym + '()';
current_procedure^.code_created := true;
if unit_compile then
 write_synonym_def ( current_procedure );
procedure_defined := false;
end;

{
 ****************************************************************************
 Parser
 ****************************************************************************
}

{
 Helpfunction for the parser, it finds the keyword
 In the language Pascal the first string is a token or a function-call or
 a mathematical instruction!
}

function find_token ( s: string ): keywords;
var i               : integer;
    lowest_pos      : integer;
    lowest_token    : integer;
    token_str	    : string;
    next_c, current_c: char;
    inspace	    : boolean;
    rackets         : string;
begin
{ Read out string }
i := 1;
rackets := '';
token_str := '';
inspace := false;
while true do begin
  current_c := s[i];
  if (i<length(s)) then next_c := s[i+1] else next_c := #0;
  case current_c of
   '''', #9, ';': break;
   ' ': inspace := true;
   ':': if next_c <> ':' then break;
   '.': if next_c = '' then break;
   '(': rackets := ')' + rackets;
   '[': rackets := ']' + rackets;
')',']': if (rackets <> '')and(rackets[1]<>current_c) then
           error_txt ('Wrong racket')
         else
           delete ( rackets, 1, 1);

   else
    if inspace and (rackets='')then break;
    token_str := token_str + current_c;
  end;
  inc ( i );
  if i > length(s) then break;
end;
if (copy(s,i,1) = ':') and (copy(s,i+1,1) = '=') then begin
 find_token := _math;
 exit;
end;
{ Rackets }
if str_pos ('(', token_str)>0 then begin
 find_token := _own_call;
 exit;
end;

{ Scan for the keyword }
lowest_pos := 256;
for i := 0 to high(pascal_keywords) do
 if token_str = trim(pascal_keywords[i].name) then begin
  find_token := pascal_keywords[i].keyreturn;
  exit;
 end;
find_token := _own_call
end;

{  ************************* PARSER *************************************
    Here is the parser of UltraPascal.
    It just call the functions
   **********************************************************************
}

var prev_parse_str : string;
    uses_allowed   : integer;

function parser(to_parse: string; compile: boolean): keywords;
var used_compile_event  : keywords;
    i,i2                : word;
    id_str              : string;
    handle_time_token_bool   : boolean;
    { After instructions the compiler has to call the time_token routine }
begin
if to_parse = ';' then exit;
prev_parse_str := last_parse_string;
last_parse_string := to_parse;
used_compile_event := find_token ( to_parse );
handle_time_token_bool := false;
if compile then begin
 case used_compile_event of
  { -->> Procedure / functiondefinitions >>-- }
  _procedure, _function  : compile_procedure_definition ( to_parse, compile );

  { -->> Variabledefinitions, ... >>-- }
  _var                   : compile_var ( '', compile, false);
  _const                 : compile_var ( '', compile, true);
  _type                  : compile_type ( '', compile );

  { -->> Begin / End handling -->> }
  _begin                 : compile_begin ( to_parse, compile );
  _end                   : if unit_compile and (begins=0) then
                             program_ends := true
                           else
                             compile_end ( to_parse, compile );

  { -->> Tokens >>-- }
  _for			 : compile_for ( to_parse, compile );
  _if			 : compile_if ( to_parse, compile );
  _while		 : compile_while ( to_parse, compile );
  _repeat		 : compile_repeat;
  _until		 : compile_until ( to_parse, compile );
  _else			 : compile_else;
  _case                  : compile_case ( to_parse, compile );
  _try                   : compile_try ( to_parse, compile );

  { -->> Others >>-- }
  _uses                  : if uses_allowed > 0 then
                            compile_uses (copy(to_parse, 6, 255))
                           else
                            error_txt ( 'USES only after "program", "unit", "interface", "implementation"');
  _forward               : compile_forward;
  _interrupt             : compile_interrupt;

  { STP codes }
  _break, _continue,
  _exit, _halt		 : begin
                            compile_stp ( to_parse );
                            handle_time_token_bool := true;
                           end;

  _export		 : compile_export;

  _assembly              : compile_assembly;
  _asm                   : begin
                            compile_asm ( compile );
                            handle_time_token_bool := true;
                           end;
  _synonym               : compile_synonym ( to_parse );
  _program,_unit,_def_lib: if used_compile_event <> _def_lib then inc ( uses_allowed );
  _librarydefinition     : libdef_start;
  _interface,_implementation: if unit_compile and not lib_def then
                               if used_compile_event = _interface then begin
                                interface_compile := true;
                                interface_start;
                                uses_allowed := 2;
                               end else begin
                                interface_compile := false;
                                implementation_start;
                                uses_allowed := 2;
                               end
                              else error_txt('Misplaced "interface" or "implementation"');
 else
  case used_compile_event of
   _math: begin
           compile_calculation(to_parse, compile);
           handle_time_token_bool := true;
          end;
   else
    { Calling of a procedure, () isn't longer necessary }
    if str_pos('(', to_parse) = 0 then begin
     delete ( to_parse, length(to_parse), 1);
     to_parse := to_parse + '();'
    end;
    compile_own_call ( to_parse, false );
    handle_time_token_bool := true;
   end;
 end;
end;
if handle_time_token_bool then
 handle_time_token;
if (uses_allowed > 0)and not unit_compile then dec ( uses_allowed );
if (uses_allowed = 0)and compile and not unit_compile then begin
 fargo_version_stream^.insert ( _asm_end, form_container_1, unit_container, id_str );
 output ( id_str );
 uses_allowed := -1;
end;

parser:=used_compile_event;
end;

{
 ****************************************************************************
 Parameter behandeln
 ****************************************************************************
}

procedure start_parameter_passing ( infile: string );
begin
if ( infile = '') then begin
 up_textattr ($07);
 up_gotoxy ( 1, 12 );
 up_con_write('Calling of UltraPascal');
 up_gotoxy ( 1, 13 );
 {$IFDEF DPMI}
 up_con_write(predirectory+'> up32 sourcefile[.PAS] [optionstring]'#13#10+
 {$ELSE}
 up_con_write(predirectory+'> up sourcefile[.PAS] [optionstring]'#13#10+
 {$ENDIF}
           ' Options: -[1][2][+][!]'#13#10+
           '  -1   Compile for Fargo 1'#13#10+
           '  -2   Compile for Fargo 2');
 up_gotoxy ( 1, 17 );
 up_con_write('  -+   Create 92+ code'#13#10+
              '  -!   Create TI89 code');
 halt;
end;

sourcefile := infile;
if pos('.', sourcefile) = 0 then sourcefile:=sourcefile+'.PAS';

outputfile:=copy(sourcefile, 1, pos('.', sourcefile)-1)+'.ASM';
end;

procedure write_creator ( var where: text );
begin
writeln(where, '');
writeln(where, '; Source code info '+#13#10+
               '; This code was generated with'+#13#10+
               '; UltraPascal -> The best non assembly Fargo compiler'+#13#10+
               '; UltraPascal is FREEWARE, so get it from the MXM Projects homepage');
writeln(where, '; Used version: '+version);
writeln(where, '; UltraPascal info '+#13#10+
               '; created by MXM-TriX'+#13#10+
               '; alexander.grutsch.htlr@schulen.vol.at'+#13#10+
               '; and by MXM-Wizard'+#13#10+
               '; wizard@infomaniak.ch'+#13#10+
               '; released by MXM Projects'+#13#10+
               '; http://start.at/mxm');
writeln(where, '; Other '+#13#10+
               '; Please let this description here. MXM Projects want to get more'+#13#10+
               '; users. Send your impressions or bug reports to create');
writeln(where, '; a better compiler and to get more good Fargo II programs!'+#13#10+
               '; End of info '#13#10#13#10);
end;

procedure compile_pass_1;
var parse_erg            : keywords;
    last_string          : string;
    last_parse_erg       : keywords;
    lib_h_file           : text;
    lib_fps_file         : text;
    prev_str             : string;
    s			 : string;
begin
{ -->> Delete all possible files >>-- }
sourcefile := trim(copy (sourcefile, 1, pos('.', sourcefile) - 1 ));

assign ( lib_h_file, sourcefile + '.asm' );
rewrite ( lib_h_file );
close ( lib_h_file );

assign ( lib_h_file, sourcefile + '.upp' );
rewrite ( lib_h_file );
close ( lib_h_file );

parse_erg := parser (get_next_line, false);
export_counter := 1;
if parse_erg <> _unit then begin
 unit_compile := false;
 assign(outfile, outputfile);
 rewrite(outfile);
 write_creator (outfile);
if parse_erg = _def_lib then begin
 { Generieren eines Libraries .H files und einer .FPS Datei}
 output('  xdef _library');
 assign (lib_h_file, fargo_directory+'ASM\INCLUDE\'+sourcefile+'.H');
 rewrite (lib_h_file);
 assign (lib_fps_file, predirectory+unit_dir+sourcefile+'.PAS');
 rewrite (lib_fps_file);
 programname_string := '_library dc.b "'+sourcefile+'"';
 write_creator (lib_h_file);
 writeln ( lib_fps_file, '//        UltraPascal librarydefinition'+#13#10+
                         '// '+#13#10+
                         '// generated with UltraPascal V'+version);
 writeln ( lib_fps_file, '// UltraPascal is the best Fargo crosscompiler!'#13#10+
                         '// created by  MXM-TriX     mxmtrix@gmx.net'#13#10+
                         '// and by      MXM-Wizard   wizard@infomaniak.ch');
 writeln ( lib_fps_file, '// released by MXM Projects http://start.at/mxm'#13#10#13#10+
                         'unit '''+sourcefile+''';'#13#10#13#10+
			 'librarydefinition'#13#10);
 { Einlesen der Prozedurnamen, welche exportiert werden }
 last_parse_erg := _def_lib;
 while not eof(infile) do begin
  parse_erg := parser (get_next_line, false);
  if (parse_erg = _export) and (last_parse_erg in [_procedure, _function]) then begin
   { -->> write to librarydefinition ( .PAS ) file >>-- }
   writeln (lib_fps_file, prev_parse_str+#13#10+'begin'+#13#10+'-(a6) := %%all;'+#13#10+'end;'+#13#10);
   { -->> Create .H or .SYM file >>-- }
   new ( temp_container, init );
   temp_container^.add_string ( sourcefile );
   temp_container^.add_string ( hexwrite ( export_counter-1, 4, true ));
   fargo_version_stream^.insert ( _lib_def_line, form_container_2, temp_container, s);
   dispose ( temp_container, done );
   if trim ( s ) <> '' then
    writeln ( lib_h_file, s );
   { -->> inc export_counter >>-- }
   inc (export_counter);
  end;
  last_parse_erg := parse_erg;
  prev_str := last_parse_string;
 end;
 close (lib_h_file);
 writeln (lib_fps_file, #13#10+'end.');
 close (lib_fps_file);
 reset (infile);
 infile_string := '';
 exit;
end;
output ( fargo_version_stream^.get_event_str ( _asm_header ) );
if pos('program ',last_parse_string)=0 then
 programname_string := '_comment dc.b "UltraPascal program",0'
else
 programname_string := '_comment dc.b "'+copy (last_parse_string, 10, length(last_parse_string)-11)+'",0';
end else begin
 assign ( lib_h_file, sourcefile + '.upp' );
 reset ( lib_h_file );
 erase ( lib_h_file );
 close ( lib_h_file );
 assign ( lib_h_file, sourcefile + '.asm' );
 reset ( lib_H_file );
 erase ( lib_h_file );
 close ( lib_h_file );
 unit_compile := true;
 unit_name := copy ( last_parse_string, pos('''', last_parse_string ) + 1, 255);
 delete (unit_name, length(unit_name), 1);
 unit_name := trim(unit_name);
 delete (unit_name, length(unit_name), 1);
 unit_name := trim(unit_name);
 parse_erg := parser ( get_next_line, false );
 if (parse_erg <> _interface) and (parse_erg <> _librarydefinition) then error(24);
 if parse_erg = _librarydefinition then lib_def := true else lib_def := false;
 create_unit_file ( predirectory + unit_dir + unit_name + '.UPU', lib_def, unit_name, fargo_version);
end;
reset (infile);
StrPCopy ( infile_string, '' );
export_counter := 1;
end;

{ -->> Inserting of Unitcode >>-- }
var t      : pascal_procedure;

function find_procedure_code ( var outfile: text; find: string): string;

function get_ln: string;
var c: char;
    s: string;
begin
 s := '';
 repeat
  c := get_unit_c;
  if c <> #$FE then
   s := s + c;
 until (c = #$FE)or(c=#13);
 if c = #13 then c := get_unit_c;
 get_ln := s;
end;

var curr_ev, ev         : unit_events;
    p                   : pointer;
    s	                : string;
    exit_proc           : boolean;
    curr_c, prev_c      : char;
begin
 if find = t.name then begin
  find_procedure_code := get_ln;
  exit;
 end;
 if find = '-' then begin
  while get_unit_c <> #$FE do;
  exit;
 end;
 getmem ( p, 500 );
 exit_proc := false;
 while true do begin
  curr_ev := read_next_event;
  case curr_ev of
    _synonym_def, _new_procedure	: unit_file^.cacheread ( t, sizeof ( pascal_procedure ));
    _new_variable			: unit_file^.cacheread ( p^, sizeof ( pascal_var ));
    _toggle,_parameter_term		: begin end;
    _end_unit	 : begin
                    exit_proc := true;
                    find_procedure_code := 'x';
                    exit;
                   end;
    _preprocessor_code: begin
                         read_unit_line ( s );
                         preprozessor ( copy (s, 2, 255) );
                         while not read_infile do begin
                           while true do begin
                             ev := read_next_event;
                             if ev = _preprocessor_code then break;
                             if (chunk_sizes [ ev ] > 0) and ( chunk_sizes [ ev ] < $f000 ) then
                              unit_file^.cacheread ( p^, chunk_sizes [ ev ] );
                             if chunk_sizes [ ev ] = $ffff then break;
                             if chunk_sizes [ ev ] = $fffd then
                              while get_unit_c <> #$FE do;
                           end;
                           if chunk_sizes [ ev ] = $ffff then break;
                           read_unit_line ( s );
                           delete ( s, 1, 1);
                           preprozessor ( s );
                         end;
                        end;
    _used_unit   : s := read_used_unit;
    _asm_code    : begin
                    if find='+' then begin
                      find_procedure_code := t.name;
                      exit;
                    end else
                      while get_unit_c <> #$FE do;
                    end;
    end;
 end;
 freemem ( p, 500 );
end;

procedure argument_parse ( paramstr: string );
var c : char;
    s : string;
begin

{ Create standard }
preprozessor ('$DEFINE __FARGO_2');
preprozessor ('$UNDEF __FARGO_1');
preprozessor ('$UNDEF __92_PLUS');
preprozessor ('$UNDEF __89_CODE');
preprozessor ('$UNDEF __TIE');
fargo_version_str := '__FARGO_2';
fargo_version := 2;
if (paramstr = '') then exit;
s := paramstr;
c := s[1];
if not (c in ['-', '/']) then error_txt('Options has to start with "-" or "/"!');
s := copy(paramstr, 2, 255);
while s <> '' do begin
 c := s[1];
 delete ( s, 1, 1);
 case c of
     '1': begin
           preprozessor ('$UNDEF __92_PLUS');
           preprozessor ('$UNDEF __FARGO_2');
           preprozessor ('$UNDEF __89_CODE');
	   preprozessor ('$UNDEF __TIE');
           preprozessor ('$DEFINE __FARGO_1');
           fargo_version_str := '__FARGO_1';
           fargo_version := 1;
          end;
     '2': begin
           preprozessor ('$UNDEF __92_PLUS');
           preprozessor ('$UNDEF __FARGO_1');
           preprozessor ('$UNDEF __89_CODE');
	   preprozessor ('$UNDEF __TIE');
	   preprozessor ('$DEFINE __FARGO_2');
           fargo_version_str := '__FARGO_2';
           fargo_version := 2;
          end;
 '3','+': begin
           preprozessor ('$UNDEF __FARGO_1');
           preprozessor ('$UNDEF __FARGO_2');
           preprozessor ('$UNDEF __89_CODE');
	   preprozessor ('$UNDEF __TIE');
	   preprozessor ('$DEFINE __92_PLUS');
           fargo_version_str := '__92_PLUS';
           fargo_version := 3;
          end;
     '!': begin
           preprozessor ('$UNDEF __FARGO_1');
           preprozessor ('$UNDEF __FARGO_2');
           preprozessor ('$UNDEF __92_PLUS');
	   preprozessor ('$UNDEF __TIE');
	   preprozessor ('$DEFINE __89_CODE');
           fargo_version_str := '__89_CODE';
           fargo_version := 4;
          end;
 'T','t': begin
           preprozessor ('$UNDEF __FARGO_1');
           preprozessor ('$UNDEF __FARGO_2');
           preprozessor ('$UNDEF __92_PLUS');
	   preprozessor ('$UNDEF __89_CODE');
	   preprozessor ('$DEFINE __TIE');
           fargo_version_str := '__TIE';
           fargo_version := 5;
	  end; 
     'l': begin
           { Include linenumbers }
	  end;
     'n': begin
           { No optimizations }
	  end;
     'd': begin
           { Create debug information }
	  end;
     else
       error_txt('Invalid parameterswitch '+c);
 end;
end;
end;

{ Stream initializing }
procedure init_streams;
begin
 { -->> Initialize streams >>-- }
 new ( fargo_string_stream, init );
 new ( unit_container, init );
 new ( fargo_version_stream, init ( fargo_version_str, predirectory + table_dir + 'FARGO.TBL' ));

 { Predefined formatcontainer }
 new ( form_container_1, init );
 form_container_1^.add_string ( '%1' );

 new ( form_container_2, init );
 form_container_2^.add_string ( '%1' );
 form_container_2^.add_string ( '%2' );

 new ( form_container_3, init );
 form_container_3^.add_string ( '%1' );
 form_container_3^.add_string ( '%2' );
 form_container_3^.add_string ( '%3' );

 { -->> Initialize Filecontainer >>-- }

 new ( file_container, init ( predirectory + table_dir + 'INCDIR.TBL' ));
end;

{
 ****************************************************************************
 Mainprogram
 ****************************************************************************
}

var temp_pascal_proc : ppascal_procedure;
    i		     : word;
    s		     : string;
    stl              : word;
    s_un_compile     : boolean;

begin
if test8086 < 2 then begin
 writeln ('UltraPascal needs a 386 or better');
 halt;
end;
up_clrscr;
fargo_directory := StrPas ( getenvvar ('FARGO')) + '\';
predirectory    := StrPas ( getenvvar ('ULTRAPAS')) + '\';

total_line_counter := 0;

 new(defined_names);
 for i:=0 to 49 do defined_names^[i].name:='';

read_infile := true;
initqueues;
argument_parse ( paramstr ( 2 ));
 for i:=0 to 7 do begin
  current_calc_regs[i].name := 'd'+conv_to_str ( i );
  current_calc_regs[i + 8].name := 'a' + conv_to_str ( i );
 end;

init_streams;
put_file_to_compile ( paramstr ( 1 ));

while true do begin
 auto_compile := false;
 unit_name := '';
 lib_def := false;

 init_compiler;
 show_creator;
 start_parameter_passing ( get_file_to_compile ( false ));

 if not fileexist ( sourcefile ) then begin
  up_gotoxy ( 1, 11 );
  up_con_write ( 'Sourcefile not found' );
  halt;
 end;

 assign(infile,sourcefile);
 reset(infile);

last_variable_size := 0;
program_stack_size := 1000;

stl := total_line_counter;
compile_pass_1;
total_line_counter := stl;

if not unit_compile then
build_var_type(copy(programname_string, 1, pos(' ', programname_string))+': string = '''+
               copy(programname_string, pos('"', programname_string)+1, pos('",0', programname_string)-
               pos('"', programname_string)-1)+''';', global_last_variable, global_first_variable, false, true,
               false);

up_textattr ( $a );
up_gotoxy (1,10);
up_con_write(' Memory availabel: '+conv_to_str (memavail shr 10)+ ' KB');
up_gotoxy ( 1, 11 );
up_con_write(' Sourcefile: ' + sourcefile );
up_gotoxy ( 1, 12 );
up_textattr ( $7 );
up_con_write ( 'Compilerstate / Current process');
up_gotoxy ( 1, 13 );
up_con_write ( '');
linenr := 0;
program_ends := false;
uses_allowed := 2;
up_gotoxy ( 1, 14 );
up_con_write ('Creating code of main-module');
if (unit_name <> 'system')and not lib_def then
 parser ( 'uses system,paslib;', true);
uses_allowed := 1;
read_infile := true;
{ -->> Delete probably variables from units >>-- }
delete_all_variables ( local_first_variable, local_last_variable, false );

while not program_ends and not auto_compile do begin
 parser ( get_next_line, true);
 up_gotoxy (1, 15);
 up_textattr ( 7 );
 up_con_write ( '(' + conv_to_str(linenr) + ' / Total ' + conv_to_Str (total_line_counter) + ')');
 up_gotoxy (1, 16);
 up_con_write (last_infile_str+'                                         ');
end;
if auto_compile then begin
 close ( infile );
 if not unit_compile then close(outfile) else close_unit_file;
 continue;
end;
get_file_to_compile ( true );
open_procedure_file;

up_gotoxy ( 1, 16 );
up_con_write ('Adding unitcode');

if not unit_compile then begin
for i := 0 to high (tinclude_libs) do begin
 if used_libs^[i].lib_name = '' then break;
 if used_libs^[i].unit_bool then begin
  output_commentbox (' UNIT '+used_libs^[i].lib_name);
  open_unit ( predirectory+unit_dir+used_libs^[i].lib_name+'.UPU');
  { -->> Overread header >>-- }
  get_unit_c; get_unit_c;
  while true do begin
   s := find_procedure_code ( outfile, '+' );
   if s = 'x' then break;
   temp_pascal_proc := first_procedure;
   while (temp_pascal_proc <> nil)and(upper_str ( s ) <> upper_str ( temp_pascal_proc^.name )) do
    temp_pascal_proc := temp_pascal_proc^.next_procedure;
   if ( temp_pascal_proc <> nil) and (upper_str ( s ) = upper_str (temp_pascal_proc^.name))
      and temp_pascal_proc^.used then begin
    repeat
     s := find_procedure_code ( outfile, temp_pascal_proc^.name );
     if copy ( trim ( s ), 1, 3 ) = 'jsr' then begin
      { -->> Relocate JSR >>-- }
      delete ( s, pos (';', s ), 255 );
      s := trim(s);
      delete ( s, 1, 3 );
      s := trim ( s );
      new ( temp_container, init );
      if str_pos ( '[', s )>0 then begin
       temp_container^.add_string ( copy ( s, 1, str_pos ( '[', s ) - 1));
       temp_container^.add_string ( copy ( s, str_pos ('[', s)+1, str_pos(']', s)-str_pos('[', s )-1));
      end else begin
       temp_container^.add_string ( copy ( s, 1, str_pos ( '::', s ) - 1));
       temp_container^.add_string ( copy ( s, str_pos ('::', s)+2, 255));
      end;
      fargo_version_stream^.insert ( _librarycall, form_container_2, temp_container, s );
      dispose ( temp_container, done );
      s := s + #13;
     end;
     output ( copy (s, 1, length(s)-1) );
    until s = '';
    if upper_str ( s ) = upper_str ( '_'+used_libs^[i].lib_name+'_main') then
     break;
   end;{ else
    find_procedure_code ( outfile, '-');}
  end;
 end;
end;
open_main_file;

close(infile);
assign ( infile, sourcefile + '.upp' );
reset ( infile );
while not eof ( infile ) do begin
 readln ( infile, s );
 writeln ( outfile, s );
end;
close ( infile );
erase ( infile );
write_var_to_output ( global_first_variable );
end;


if not lib_def then begin
if interface_compile and unit_compile then error_txt ('"implementation" not found');
temp_pascal_proc := first_procedure;
while temp_pascal_proc <> nil do begin
 if not temp_pascal_proc^.code_created and ( temp_pascal_proc^.name <> '') then
  error_txt('Definition not found for "'+temp_pascal_proc^.name+'"');
 temp_pascal_proc := temp_pascal_proc^.next_procedure;
end;
end;
if not unit_compile then begin
 output (';This variable isn''t relocateable, because functions can destroy registers'#13#10+
         '__pascal_function_result dc.l 0');
 output (s);
 output (' END');
end;
if not unit_compile then
 close(outfile)
else begin
 close(infile);
 close_unit_file;
 settime ( file_container^.search_file ( _unitdirpath, unit_name + '.PAS'),
           file_container^.search_file ( _unitdirpath, unit_name + '.UPU' ));
end;
for i:=0 to 49 do defined_names^[i].name:='';
if get_file_to_compile ( false ) = '' then break;
end;

end.